%define ver		22.81.1
%define rel		1zlb
%define srl		20040318
%define t1lib_hack	0

Summary: An X viewer for DVI files.
Name:	 xdvik
Version: %ver
Release: %rel
Serial:  %srl
License: distributable
Group: 	 Applications/Publishing
Source:  xdvik-%{ver}.tar.bz2
Source1: song16-gb2312.pcf.gz
Source2: song16-iso10646.pcf.gz
Source3: XDvi
# The following sources are for backup purpose only
Source4: ctex-patch
Source5: cvs.sh
Source6: sample.tex
Source7: sample.dia
Source8: keyb-bug.tar.bz2
Source9: cjk.map
Source10: gbksong47.enc
Source11: reg.zip
#--- Hacks
patch:  image-magick-ps-patch
patch1: image-magick-keyboard-patch
patch2: background-patch
patch3: browser-patch
patch4: noborder-patch
patch5: cursor-patch
#BuildPrereq: 
#Conflicts: tetex-xdvi
Provides: tetex-xdvi
Requires: ImageMagick >= 5.3
#Requires: openmotif
Requires: XFree86 libtiff freetype libjpeg libpng libpng bzip2 libxml2
BuildRequires: ImageMagick-devel >= 5.3
#BuildRequires: openmotif-devel
BuildRequires: XFree86-devel libtiff-devel freetype-devel libjpeg-devel
BuildRequires: libpng-devel libpng-devel bzip2-devel libxml2-devel
BuildRequires: texinfo
BuildRoot: %{_tmppath}/%{name}-root
URL: http://xdvi.sourceforge.net
Packager: zlb@lsec.cc.ac.cn
Prefix: /usr

%description
Xdvi allows you to preview the TeX text formatting system's output
.dvi files on an X Window System. This version supports dvips's color
specials and can display colored text.

This is the Motif version of xdvik.

%prep

%setup -q -n xdvik-%{ver}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build

# Check for motif header files and libraries
export CFLAGS=""
export LDFLAGS=""
if [ -f /usr/X11R6/lib/libXm.a -a -f /usr/X11R6/include/Xm/Xm.h ]
then
    echo 1>&2 "Motif headers and libs: -I/usr/X11R6/include -L/usr/X11R6/lib"
else
    # look for LessTif
    # Pick up the last line in order to get the highest Motif version
    i="`/bin/ls -C1 /usr/X11R6/LessTif/*/lib/libXm.a 2>/dev/null | \
	/usr/bin/tail -1`"
    [ -n "$i" ] && export LDFLAGS=-L${i%libXm\.a}
    i="`/bin/ls -C1 /usr/X11R6/LessTif/*/include/Xm/Xm.h 2>/dev/null | \
	/usr/bin/tail -1`"
    [ -n "$i" ] && export CFLAGS=-I${i%/Xm/Xm\.h}
    unset i
    if [ -n "$CFLAGS" -a -n "$LDFLAGS" ]; then
	echo 1>&2 "Motif headers and libs: $CFLAGS $LDFLAGS"
    else
	set -
	echo 1>&2
	echo 1>&2 "**********************************************************"
	echo 1>&2 "Error: Motif header files and libraries not found."
	echo 1>&2
	echo 1>&2 "Please install either 'lesstif-devel' or 'openmotif-devel'"
	echo 1>&2 "before building this package"
	echo 1>&2 "**********************************************************"
	echo 1>&2
	exit 1
    fi
fi

#autoconf-2.13 -m texk/etc/autoconf || autoconf -m texk/etc/autoconf
#(cd texk/xdvik; autoconf-2.13 -m ../../texk/etc/autoconf || \
#	autoconf -m ../../texk/etc/autoconf)

./configure --prefix=%{prefix}/share --enable-magick \
	--enable-compile-warnings=yes --with-x-toolkit=motif

%if %{t1lib_hack}
    make CC="gcc -DT1LIB_IDENT=\\\"5.0.1\\\""
%else
    make
%endif

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/{man,texmf}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/man/man1
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/texmf/xdvi/zh_CN
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/xdvi
mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/lib/X11/fonts/misc

cd texk/xdvik
chmod 0755 xdvi-sh xdvizilla
cp xdvi-sh $RPM_BUILD_ROOT%{prefix}/bin/xdvi
cp xdvizilla $RPM_BUILD_ROOT%{prefix}/bin/.
cp xdvi-motif.bin $RPM_BUILD_ROOT%{prefix}/bin/xdvi-motif.bin
strip $RPM_BUILD_ROOT%{prefix}/bin/xdvi-motif.bin
# Note: t1mapper.1 is provided by the `tetex' package
for f in xdvi.1 xdvizilla.1; do
    gzip -9 -c < $f >$RPM_BUILD_ROOT%{prefix}/share/man/man1/${f}.gz
done
# Note: XDvi is provided by the `tetex' package
cp $RPM_SOURCE_DIR/XDvi $RPM_BUILD_ROOT%{prefix}/share/texmf/xdvi/zh_CN/.
cp texmf/xdvi.cfg pixmaps/toolbar.xpm \
	$RPM_BUILD_ROOT%{prefix}/share/texmf/xdvi/.
cp CHANGES ../../README ../../README.CVS ../../README_maintainer ../../BUGS \
	$RPM_BUILD_ROOT%{prefix}/share/doc/xdvi/.
echo "dvipsmap cjk.map" >>$RPM_BUILD_ROOT%{prefix}/share/texmf/xdvi/xdvi.cfg

cp $RPM_SOURCE_DIR/{song16-gb2312.pcf.gz,song16-iso10646.pcf.gz} \
	$RPM_BUILD_ROOT%{prefix}/X11R6/lib/X11/fonts/misc/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{prefix}/share/texmf/xdvi
%config %{prefix}/share/texmf/xdvi/xdvi.cfg
%config %{prefix}/share/texmf/xdvi/zh_CN/XDvi
%{prefix}/bin/xdvi
%{prefix}/bin/xdvi-motif.bin
%{prefix}/bin/xdvizilla
%{prefix}/share/man/man1/xdvi.1.gz
%{prefix}/share/man/man1/xdvizilla.1.gz
%{prefix}/share/texmf/xdvi/toolbar.xpm
%{prefix}/share/doc/xdvi/CHANGES
%{prefix}/share/doc/xdvi/README
%{prefix}/share/doc/xdvi/README.CVS
%{prefix}/share/doc/xdvi/README_maintainer
%{prefix}/share/doc/xdvi/BUGS
%{prefix}/X11R6/lib/X11/fonts/misc/song16-gb2312.pcf.gz
%{prefix}/X11R6/lib/X11/fonts/misc/song16-iso10646.pcf.gz

%pre

%post
texhash
# Update the font database
if [ -x /usr/X11R6/bin/mkfontdir ]; then
    (cd %{prefix}/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir .) || true
    [ -x /usr/X11R6/bin/xset ] && /usr/X11R6/bin/xset fp rehash || true
    if [ -x /etc/init.d/xfs ]; then
	if /etc/init.d/xfs status; then
	    /etc/init.d/xfs reload
	fi
    fi
fi

%preun

%postun
texhash
# Update the font database
if [ -x /usr/X11R6/bin/mkfontdir ]; then
    (cd %{prefix}/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir .) || true
    [ -x /usr/X11R6/bin/xset ] && /usr/X11R6/bin/xset fp rehash || true
    if [ -x /etc/init.d/xfs ]; then
	if /etc/init.d/xfs status; then
	    /etc/init.d/xfs reload
	fi
    fi
fi

%changelog
* Tue Mar 16 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Made the package relocatable (%prefix/X11R6/fonts/misc/* may be
  incorrectly placed)
  

* Fri Dec 07 2002 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Added pause support.
